National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2009-0177 Detail

Current Description

vmwarebase.dll, as used in the vmware-authd service (aka vmware-authd.exe), in VMware Workstation 6.5.1 build 126130, 6.5.1 and earlier; VMware Player 2.5.1 build 126130, 2.5.1 and earlier; VMware ACE 2.5.1 and earlier; VMware Server 2.0.x before 2.0.1 build 156745; and VMware Fusion before 2.0.2 build 147997 allows remote attackers to cause a denial of service (daemon crash) via a long (1) USER or (2) PASS command.

Source:  MITRE
Description Last Modified:  01/20/2009
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 5.0 MEDIUM
Vector: (AV:N/AC:L/Au:N/C:N/I:N/A:P) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): None
Integrity (I): None
Availability (A): Partial
Additional Information:
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.vmware.com/pipermail/security-announce/2009/000054.html Patch
http://seclists.org/fulldisclosure/2009/Apr/0036.html Patch
http://www.securityfocus.com/bid/34373 Exploit
http://www.securitytracker.com/id?1021512
http://www.vmware.com/security/advisories/VMSA-2009-0005.html Patch Vendor Advisory
http://www.vupen.com/english/advisories/2009/0024 Vendor Advisory
http://www.vupen.com/english/advisories/2009/0944 Vendor Advisory
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A6433
https://www.exploit-db.com/exploits/7647

References to Check Content

Identifier:
oval:org.mitre.oval:def:6433
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:6433

Technical Details

Vulnerability Type (View All)

  • Resource Management Errors (CWE-399)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:vmware:ace:2.5.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:ace:*:*:*:*:*:*:*:*    versions up to (including) 2.5.1
cpe:2.3:a:vmware:fusion:*:*:*:*:*:*:*:*    versions up to (including) 2.0.1
cpe:2.3:a:vmware:server:2.0.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.6:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.7:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.8:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.0.9:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:1.05:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0.1:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0.2:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0.3:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0.4:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.0.5:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:2.5:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_player:*:*:*:*:*:*:*:*    versions up to (including) 2.5.1
cpe:2.3:a:vmware:vmware_workstation:4.5.3:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.1:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.2:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.3:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.4:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.5:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.6:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.7:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:5.5.8:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0.1:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0.2:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0.3:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0.4:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.0.5:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:6.5:*:*:*:*:*:*:*
cpe:2.3:a:vmware:vmware_workstation:*:*:*:*:*:*:*:*    versions up to (including) 6.51

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

3 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2009-0177
NVD Published Date:
01/20/2009
NVD Last Modified:
10/18/2017